var IrvineSettings = {
  nsIFilePicker: Components.interfaces.nsIFilePicker,

  selectFile: function() {
    var fp = Components.classes["@mozilla.org/filepicker;1"]
                       .createInstance(this.nsIFilePicker);

    fp.init(window, "ircom.exe", fp.modeOpen);
    fp.appendFilter("ircom.exe", "ircom.exe");

    if (fp.show() == fp.returnOK) {
      var folderField = document.getElementById("extensions.irvine.edtPath");
      folderField.value = fp.file.path;
    }
  },

  selectAll: function(aIsChecked) {
    document.getElementById("extensions.irvine.menu.download").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.immediate").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.add").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.saveas").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.withqueue").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.selection").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.withcomment").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.withsetting").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.all").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.allwithimg").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.import").checked
      = aIsChecked;
    document.getElementById("extensions.irvine.menu.thispage").checked
      = aIsChecked;
  }
}
