//
// Variables
//

const authorName = "ASANO Naoyuki";
const packageName = "Irvine ContextMenu";
const appName = "irvine";
const version = "1.6c";

var contentFlag = CONTENT | DELAYED_CHROME;
var skinFlag = SKIN | DELAYED_CHROME;
var localeFlag = LOCALE | DELAYED_CHROME;

//
// Initialize
//

initInstall(packageName, "/" + authorName + "/" + packageName, version);

var installDir = getFolder("Chrome", appName);
setPackageFolder(installDir);

//
// Registration
//

addDirectory("chrome");

registerChrome(contentFlag, getFolder(installDir, "content/irvine/"));
registerChrome(skinFlag, getFolder(installDir, "skin/classic/irvine/"));
registerChrome(localeFlag, getFolder(installDir, "locale/en-US/irvine/"));
registerChrome(localeFlag, getFolder(installDir, "locale/ja/irvine/"));

var result = performInstall();

if (result == SUCCESS) {
  alert("Installation successed. Restart your SeaMonkey.");
} else {
  cancelInstall(result);
  alert("Installation failed.");
}
