function setDefaultPrefString(aId) {
  document.getElementById(aId)
          .setAttribute("value", nsPreferences.copyUnicharPref(aId, ""));
}

function setDefaultPrefBool(aId) {
  document.getElementById(aId).checked = nsPreferences.getBoolPref(aId, false);
}

function setDefaultPrefItem(aId) {
  var menuitemElement = document.getElementById(aId);
  var prefValue = nsPreferences.copyUnicharPref(aId, "");

  menuitemElement.selectedItem =
    menuitemElement.getElementsByAttribute("value", prefValue)[0];
}

function writePrefString(aId) {
  nsPreferences.setUnicharPref(aId, document.getElementById(aId).value);
}

function writePrefBool(aId) {
  nsPreferences.setBoolPref(aId, document.getElementById(aId).checked);
}

function writePrefItem(aId) {
  nsPreferences.setUnicharPref(aId, document.getElementById(aId).value);
}
